# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KDateInternalMonthPicker Class Reference

A table containing month names. More...

`#include <kdatetbl.h>`

Inheritance diagram for KDateInternalMonthPicker:

[legend]
Collaboration diagram for KDateInternalMonthPicker:

[legend]
List of all members.

## Signals

void | closeMe (int)

## Public Member Functions

| KDateInternalMonthPicker (const QDate &date, QWidget *parent, const char *name=0)
| ~KDateInternalMonthPicker ()
QSize | sizeHint () const
int | getResult () const

## Protected Member Functions

void | setupPainter (QPainter *p)
virtual void | viewportResizeEvent (QResizeEvent *)
virtual void | paintCell (QPainter *painter, int row, int col)
virtual void | contentsMousePressEvent (QMouseEvent *e)
virtual void | contentsMouseMoveEvent (QMouseEvent *e)
virtual void | contentsMouseReleaseEvent (QMouseEvent *e)

## Protected Attributes

int | result
short int | activeCol
short int | activeRow
QRect | max

## Detailed Description

A table containing month names.

It is used to pick a month directly.

Definition at line 67 of file kdatetbl.h.

## Constructor & Destructor Documentation

KDateInternalMonthPicker::KDateInternalMonthPicker | ( | const QDate & | date,
|  | QWidget * | parent,
|  | const char * | name = `0`
| ) |

| The constructor. Definition at line 663 of file kdatetbl.cpp. References QFontMetrics::boundingRect(), KLocale::calendar(), KGlobalSettings::generalFont(), QRect::height(), QString::isNull(), KGlobal::locale(), KCalendarSystem::monthName(), and QRect::width().

KDateInternalMonthPicker::~KDateInternalMonthPicker | ( |  | ) |

| The destructor. Definition at line 658 of file kdatetbl.cpp.

## Member Function Documentation

void KDateInternalMonthPicker::closeMe | ( | int |  | ) | `[signal]`

| This is send from the mouse click event handler. Referenced by contentsMouseReleaseEvent().

QSize KDateInternalMonthPicker::sizeHint | ( |  | ) | const

| The size hint. Definition at line 699 of file kdatetbl.cpp. References QRect::height(), max, QGridView::numCols(), QGridView::numRows(), and QRect::width().

int KDateInternalMonthPicker::getResult | ( |  | ) | const

| Return the result. 0 means no selection (reject()), 1..12 are the months. Definition at line 706 of file kdatetbl.cpp. References result.

void KDateInternalMonthPicker::setupPainter | ( | QPainter * | p | ) | `[protected]`

| Set up the painter. Definition at line 712 of file kdatetbl.cpp.

void KDateInternalMonthPicker::viewportResizeEvent | ( | QResizeEvent * |  | ) | `[protected, virtual]`

| The resize event. Definition at line 718 of file kdatetbl.cpp. References QGridView::numCols(), QGridView::numRows(), QGridView::setCellHeight(), and QGridView::setCellWidth().

void KDateInternalMonthPicker::paintCell | ( | QPainter * | painter,
|  | int | row,
|  | int | col
| ) | `[protected, virtual]`

| Paint a cell. This simply draws the month names in it. Reimplemented from QGridView. Definition at line 725 of file kdatetbl.cpp. References activeCol, KLocale::calendar(), QGridView::cellHeight(), QGridView::cellWidth(), KGlobal::locale(), and KCalendarSystem::monthName().

void KDateInternalMonthPicker::contentsMousePressEvent | ( | QMouseEvent * | e | ) | `[protected, virtual]`

| Catch mouse click and move events to paint a rectangle around the item. Definition at line 740 of file kdatetbl.cpp. References activeCol, KNotifyClient::beep(), QGridView::columnAt(), QGridView::rowAt(), QGridView::updateCell(), QPoint::x(), and QPoint::y().

void KDateInternalMonthPicker::contentsMouseReleaseEvent | ( | QMouseEvent * | e | ) | `[protected, virtual]`

| Emit monthSelected(int) when a cell has been released. Definition at line 807 of file kdatetbl.cpp. References closeMe(), QGridView::columnAt(), result, QGridView::rowAt(), QPoint::x(), and QPoint::y().

## Member Data Documentation

int KDateInternalMonthPicker::result`[protected]`

| Store the month that has been clicked [1..12]. Definition at line 74 of file kdatetbl.h. Referenced by contentsMouseReleaseEvent(), and getResult().

short int KDateInternalMonthPicker::activeCol`[protected]`

| the cell under mouse cursor when LBM is pressed Definition at line 78 of file kdatetbl.h. Referenced by contentsMousePressEvent(), and paintCell().

QRect KDateInternalMonthPicker::max`[protected]`

| Contains the largest rectangle needed by the month names. Definition at line 83 of file kdatetbl.h. Referenced by sizeHint().

The documentation for this class was generated from the following files:

- kdatetbl.h
- kdatetbl.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:20:50 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003